%global dlrn_nvr 0.8.31-2.20220217105301.80f4ed0
%global dlrn 1
%define upstream_version 0.8.31
# RPM spec file for OpenStack on RHEL 6 and 7
# Some bits borrowed from the katello-selinux package

%global moduletype       services

# Version of SELinux we were using
%global selinux_policyver 3.13.1-102.el7

# Package information
Name:                   openstack-selinux
Version: 0.8.31
Release: 2.20220217105301.80f4ed0%{?dist}
License:                GPLv2
Group:                  System Environment/Base
Summary:                SELinux Policies for OpenStack
BuildArch:              noarch
URL:                    https://github.com/redhat-openstack/%{name}
Requires:               policycoreutils
Requires(post):         selinux-policy-base >= %{selinux_policyver}
Requires(post):         selinux-policy-targeted >= %{selinux_policyver}
Requires(post):         policycoreutils
%if 0%{?fedora} || 0%{?rhel} > 7
Requires(post):         policycoreutils-python-utils
%else
Requires(post):         policycoreutils-python
%endif
Requires(preun):        policycoreutils
Requires:               container-selinux
BuildRequires:          selinux-policy
BuildRequires:          selinux-policy-devel
BuildRequires:          container-selinux
BuildRequires:          git
Source: 0.8.31-2.20220217105301.80f4ed0.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=80f4ed053b68957d83d4407b191d07d051193b6e

%description
SELinux policy modules for use with OpenStack


%package devel
Summary:                Development files (interfaces) for %{name}
Requires:               selinux-policy-devel
Requires:               %{name} = %{version}-%{release}

%description devel
Development files (interfaces) for %{name}


%package test
Summary:                AVC Tests for %{name}
%if 0%{?fedora} || 0%{?rhel} > 7
Requires:               policycoreutils-python-utils
%else
Requires:               policycoreutils-python
%endif
Requires:               bash
Requires:               %{name} = %{version}-%{release}

%description test
AVC tests for %{name}


%prep
%autosetup -Sgit
# Create fake lp file if there is none is tests directory
[[ ! $(find tests -type f -name lp* | grep -q '.*') ]] && touch tests/lpnoop

%build
make DATADIR="%{_datadir}"

%install
make DATADIR="%{buildroot}%{_datadir}" \
     LOCALDIR="%{buildroot}%{_datadir}/%{name}/%{version}" \
     install
if [ ! $(grep '${INSTALL} -m 0644 tests/lp*' Makefile) ]; then
install -m 0644 tests/lp* %{buildroot}%{_datadir}/%{name}/%{version}/tests
fi

%post
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -q


%preun
if [ $1 -eq 0 ]; then
BINDIR=%{_bindir} \
SBINDIR=%{_sbindir} \
LOCALSTATEDIR=%{_localstatedir} \
DATADIR=%{_datadir} \
SHAREDSTATEDIR=%{_sharedstatedir} \
%{_datadir}/%{name}/%{version}/local_settings.sh -x -q
fi


%files
%license COPYING
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{version}
%attr(0755,root,root) %{_datadir}/%{name}/%{version}/local_settings.sh
%attr(0644,root,root) %{_datadir}/selinux/packages/*.pp.bz2

%files test
%dir %{_datadir}/%{name}/%{version}/tests
%attr(0755,root,root) %{_datadir}/%{name}/%{version}/tests/check_all
%attr(0644,root,root) %{_datadir}/%{name}/%{version}/tests/bz*
%attr(0644,root,root) %{_datadir}/%{name}/%{version}/tests/lp*

%files devel
%attr(0644,root,root) %{_datadir}/selinux/devel/include/%{moduletype}/*.if

%changelog
* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.31-2.20220217105301.80f4ed0
- Update patches
- Neutron: Fix denied network namespace operations in CentOS 9

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.31-2.20220215110747.e4bb31a
- Update patches
- Cinder: Allow httpd_t to remove lock files in /var/lib/cinder

* Tue Feb 08 2022 OSP Prod Chain <dev-null@redhat.com> 0.8.30-2.20220208184915.33a7e5c
- Update patches
- Fix wrong selinux type of /var/cache/swift

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-2.20211108135018.7211283
- Update patches

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-2.20211108125402.7211283
- Update patches
- Allow container_t to manage container_log_t files

* Sat Oct 30 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-2.20211030084927.af4b2b8
- Update patches
- Allow container_t to manage Swift cache files

* Thu Oct 14 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.29-2.20211014105050.1fe1c48
- Update patches
- Add a boolean to enable rules related to vTPM features

* Thu Sep 23 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.28-2.20210923084916.253cae2
- Update patches
- Allow container_t to getattr on fixed_disk_device_t

* Fri Sep 10 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.28-2.20210910104810.7437bed
- Update patches
- Move the dac_override rules behind booleans.

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.27-2.20210612124808.9cd3782
- Update patches
- Allow keepalived_t setattr for neutron_var_lib_t

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-2.20210608115056.1f0a5dd
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-2.20210527215947.1f0a5dd
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.26-2.20210523145048.1f0a5dd
- Update patches
- Allow neutron_t to SIGTERM haproxy owned processes

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 0.8.24-1
- Update patches
- Allow container_t to manage swift_data_t files/dirs
- Allow container domains to send sigchld to container runtime


